import { DashboardViewType } from "../../externalApi/externalApiTypes";
import { IWidgetWindowView } from "../apis/api.interfaces";
export declare class WidgetWindowView implements IWidgetWindowView {
    requestChangeView(isExtended: boolean): Promise<void>;
    getViewState(): Promise<DashboardViewType>;
}
